eio_chmod
eio_close
Eio Functions
PHP Manual

# eio_chown

Change file/direcrory permissions.

### Description

resource eio_chown ( string `$path` , int `$uid` [, int `$gid` = -1 [, int `$pri` = EIO_PRI_DEFAULT [, callable `$callback` = NULL [, mixed `$data` = NULL ]]]] )

Changes file, or directory permissions.

### Parameters

`path`

  Path to file or directory.

  Warning

  Avoid relative paths

`uid`

  User ID. Is ignored when equal to -1.

`gid`

  Group ID. Is ignored when equal to -1.

`pri`

  The request priority: `EIO_PRI_DEFAULT`, `EIO_PRI_MIN`, `EIO_PRI_MAX`, or `NULL`. If `NULL` passed, `pri` internally is set to `EIO_PRI_DEFAULT`.

`callback`

  `callback` function is called when the request is done. It should match the following prototype:

  `void callback(mixed $data, int $result[, resource $req]);`
  `data`

    is custom data passed to the request.

  `result`

    request-specific result value; basically, the value returned by corresponding system call.

  `req`

    is optional request resource which can be used with functions like eio_get_last_error

`data`

  Arbitrary variable passed to `callback`.

### Return Values

eio_chown returns request resource on success or `FALSE` on error.

### See Also

- eio_chmod